House Cusps
Delve into the beginnings of each astrological house with House Cusps, revealing the foundational aspects of your life sectors.
Step by Step House Cusps API Postman Testing Integration
Supported Language Codes
Support Article URL:
https://support.divineapi.com/general-api-support/translating-a-natal-apis-into-a-different-language
| Code | Language |
|---|---|
| en | English |
| hi | Hindi |
| pt | Portuguese |
| fr | French |
| de | German |
| ja | Japanese |
| tr | Turkish |
| ru | Russian |
| it | Italian |
| es | Spanish |
| nl | Dutch |
| pl | Polish |
Guide: These languages are supported by this API. You can use them by passing lan in the body with the value of the language.
House System Codes
House System Codes Support Article URL:
https://support.divineapi.com/western-astrology-apis/how-to-change-the-house-system-code-in-natal-astrology
| Code | House System Name |
|---|---|
| P | Placidus |
| K | Koch |
| R | Regiomontanus |
| C | Campanus |
| A | Equal |
| W | Equal, Whole Sign |
| N | Whole Sign, Aries = 1st House |
| X | Axial Rotation System / Meridian Houses |
| T | Polich/Page (“Topocentric”) |
| M | Morinus |
| O | Porphyry |
| B | Alcabitius |
| D | Equal / MC |
| E | Equal = A |
| F | Carter Poli-Equatorial |
| G | 36 Gauquelin Sectors |
| H | Horizon / Azimuth |
| I | Sunshine |
| i | Sunshine (Alternative) |
| L | Pullen S-Delta |
| Q | Pullen S-Ratio |
| S | Sripati |
| U | Krusinski-Pisa-Goelzer |
| V | Equal Vehlow |
| Y | APC Houses |
Note: The default house system used is P – Placidus.
API Endpoint
POST https://astroapi-4.divineapi.com/western-api/v1/house-cusps
Returns House Cusps in response.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Your API Access Token, e.g. Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key* | String | Your API key |
| full_name* | String | Full name, e.g. Rahul Kumar |
| day* | Integer | Date of birth, e.g. 24 |
| month* | Integer | Month of birth, e.g. 05 |
| year* | Integer | Year of birth, e.g. 2023 |
| hour* | Integer | Hour, e.g. 14 |
| min* | Integer | Minute, e.g. 40 |
| sec* | Integer | Second, e.g. 43 |
| gender* | String | Gender, e.g. male |
| place* | String | Place, e.g. New Delhi |
| lat* | Float | Latitude, e.g. 28.7041 |
| lon* | Float | Longitude, e.g. 77.1025 |
| tzone* | Float | Timezone, e.g. 5.5 (see Timezone List) |
| lan | String | Language code (default: en) |
| house_system | String | House system code (default: P - Placidus) |
| node_type | String | meannode or truenode (default: meannode) |
| with_rulers | Integer | 0 or 1 (default: 0) |
200: OK House Cusps Fetched Successfully
{
"success": 1,
"data": {
"houses": [
{
"house": 1,
"full_degree": "185.7194444",
"sign": "Libra",
"sign_no": 7,
"longitude": "5:43:10"
},
{
"house": 2,
"full_degree": "213.9628614",
"sign": "Scorpio",
"sign_no": 8,
"longitude": "3:57:46"
},
{
"house": 3,
"full_degree": "244.4180999",
"sign": "Sagittarius",
"sign_no": 9,
"longitude": "4:25:5"
},
{
"house": 4,
"full_degree": "275.9631371",
"sign": "Capricorn",
"sign_no": 10,
"longitude": "5:57:47"
},
{
"house": 5,
"full_degree": "307.5798168",
"sign": "Aquarius",
"sign_no": 11,
"longitude": "7:34:47"
},
{
"house": 6,
"full_degree": "337.9903129",
"sign": "Pisces",
"sign_no": 12,
"longitude": "7:59:25"
},
{
"house": 7,
"full_degree": "5.7194444",
"sign": "Aries",
"sign_no": 1,
"longitude": "5:43:10"
},
{
"house": 8,
"full_degree": "33.9628614",
"sign": "Taurus",
"sign_no": 2,
"longitude": "3:57:46"
},
{
"house": 9,
"full_degree": "64.4180999",
"sign": "Gemini",
"sign_no": 3,
"longitude": "4:25:5"
},
{
"house": 10,
"full_degree": "95.9631371",
"sign": "Cancer",
"sign_no": 4,
"longitude": "5:57:47"
},
{
"house": 11,
"full_degree": "127.5798168",
"sign": "Leo",
"sign_no": 5,
"longitude": "7:34:47"
},
{
"house": 12,
"full_degree": "157.9903129",
"sign": "Virgo",
"sign_no": 6,
"longitude": "7:59:25"
}
],
"ascendant": "185.7194444",
"midheaven": "95.9631371",
"vertex": "31.4159578"
}
}Example Code Implementations
Below are example implementations in various programming environments.
cURL
curl --location 'https://astroapi-4.divineapi.com/western-api/v1/house-cusps' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'full_name="Rahul Kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi, India"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"'
--form 'lan="en"' \
NodeJS
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-4.divineapi.com/western-api/v1/house-cusps',
'headers': {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5'
'lan': 'en',
'house_system': 'P'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript (jQuery AJAX)
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("full_name", "Rahul Kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi, India");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");
form.append("house_system", "P");
var settings = {
"url": "https://astroapi-4.divineapi.com/western-api/v1/house-cusps",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {Your Auth Token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});Python
import requests
url = "https://astroapi-4.divineapi.com/western-api/v1/house-cusps"
payload = {'api_key': '{Your API Key}',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5'
'lan': 'en',
'house_system': 'P'}
headers = {
'Authorization': 'Bearer {Your Auth Token}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)